import type { AstroInlineConfig } from '../../@types/astro.js';
export interface BuildOptions {
    /**
     * Build a SSR project without running the static build. This allows us to use a workaround to split up the build into two builds, one with the old behavior and one without the prerendering logic. This is currently used for testng in the Cloudlfare adapter.
     *
     * @default false
     */
    ssronly?: boolean;
}
/**
 * Builds your site for deployment. By default, this will generate static files and place them in a dist/ directory.
 * If SSR is enabled, this will generate the necessary server files to serve your site.
 *
 * @experimental The JavaScript API is experimental
 */
export default function build(inlineConfig: AstroInlineConfig, options?: BuildOptions): Promise<void>;
